/* Programmmodul Ausgangspin
 * Eine Klasse um ein Pin
 * des Arduino ein- und aus zu schalten.
 * 
 * Programmmodul mit den Funktionsdeklarationen, auch Methoden genannt.
 * 
 * Dateiname ausgangspin.cpp
 *
 * [Ulrich Klein 2017] [ullrich-klein-mzg@t-online.de]
 *
 * Dieses Programm ist freie Software. Sie können es unter
 * den Bedingungen der GNU General Public License, wie von der Free
 * Software Foundation veröffentlicht, weitergeben und/oder
 * modifizieren, entweder gemäß Version 3 der Lizenz oder
 * (nach Ihrer Option) jeder späteren Version.
 *
 * Die Veröffentlichung dieses Programms erfolgt in der Hoffnung,
 * daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 * sogar ohne die implizite Garantie der MARKTREIFE oder der
 * VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
 * Details finden Sie in der GNU General Public License.
 *
 * Sie sollten ein Exemplar der GNU General Public License zusammen mit
 * diesem Programm erhalten haben.
 * Falls nicht, siehe <http://www.gnu.org/licenses/>./
 */


#include "ausgangspin.h"
#include "Arduino.h"

Ausgangspin::Ausgangspin (int PinNr) // Der Konstruktor.
{
	pinMode (PinNr, OUTPUT);
	Ausgang = PinNr;
}


void Ausgangspin::Ein ()
{
	digitalWrite (Ausgang, HIGH);
}


void Ausgangspin::Aus ()
{
	digitalWrite (Ausgang, LOW);
}

