/* Programmmodul Ausgangspin
 * Eine Klasse um ein Pin
 * des Arduino ein- und aus zu schalten.
 * 
 * C++ - Header-Datei mit der Klassendefinition.
 * 
 * Dateiname ausgangspin.h
 *
 * [Ulrich Klein 2017] [ullrich-klein-mzg@t-online.de]
 *
 * Dieses Programm ist freie Software. Sie können es unter
 * den Bedingungen der GNU General Public License, wie von der Free
 * Software Foundation veröffentlicht, weitergeben und/oder
 * modifizieren, entweder gemäß Version 3 der Lizenz oder
 * (nach Ihrer Option) jeder späteren Version.
 *
 * Die Veröffentlichung dieses Programms erfolgt in der Hoffnung,
 * daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 * sogar ohne die implizite Garantie der MARKTREIFE oder der
 * VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
 * Details finden Sie in der GNU General Public License.
 *
 * Sie sollten ein Exemplar der GNU General Public License zusammen mit
 * diesem Programm erhalten haben.
 * Falls nicht, siehe <http://www.gnu.org/licenses/>./
 */


#ifndef _AUSGANGSPIN_H_
#define _AUSGANGSPIN_H_

using namespace std;

class Ausgangspin
{
	private:
	int Ausgang {4}; // Dient zum Datenaustausch der einzelnen Funktionen untereinander.
	
	public:
	Ausgangspin (int PinNr); // Der Konstruktor.
	void Ein ();
	void Aus ();
};

#endif

